using Nirvana.Common;

namespace YBDevice.Entity
{
    /// <summary>
    /// 儿童中医体质类型
    /// </summary>
    public enum ChildBodyTypeEnum
    {
        /// <summary>
        /// 脾虚质
        /// </summary>
        [EnumTitle("脾虚质")]
        PXZ = 1,
        /// <summary>
        /// 积滞质
        /// </summary>
        [EnumTitle("积滞质")]
        JZZ = 2,
        /// <summary>
        /// 热滞质
        /// </summary>
        [EnumTitle("热滞质")]
        RZZ = 3,
        /// <summary>
        /// 心火偏旺质
        /// </summary>
        [EnumTitle("心火偏旺质")]
        XHPWZ = 4,
        /// <summary>
        /// 湿滞质
        /// </summary>
        [EnumTitle("湿滞质")]
        SZZ = 5,
        /// <summary>
        /// 特禀质
        /// </summary>
        [EnumTitle("特禀质")]
        TBZ = 6,
        /// <summary>
        /// 生机旺盛质
        /// </summary>
        [EnumTitle("生机旺盛质")]
        SJWSZ = 7,
        /// <summary>
        /// 未知
        /// </summary>
        [EnumTitle("未知")]
        UnKnown = 0
    }

    /// <summary>
    /// 儿童中医体质类型结果
    /// </summary>
    public enum ChildBodyTypeResult
    {
        /// <summary>
        /// 是 
        /// </summary>
        [EnumTitle("是")]
        Yes = 1,
        /// <summary>
        /// 倾向是 
        /// </summary>
        [EnumTitle("倾向是")]
        MayBe = 2,
        /// <summary>
        /// 否 
        /// </summary>
        [EnumTitle("否")]
        No = 3
    }
}
